### install packages ####
if (!require("BiocManager", quietly = TRUE)) install.packages("BiocManager", repos="http://cran.us.r-project.org")
if (!require("devtools")) install.packages("devtools", repos="http://cran.us.r-project.org")
if (!require("shiny")) install.packages("shiny", repos="http://cran.us.r-project.org")
if (!require("shinydashboard")) install.packages("shinydashboard", repos="http://cran.us.r-project.org")
if (!require("shinyjs")) install.packages("shinyjs", repos="http://cran.us.r-project.org")
if (!require("shinyalert")) install.packages("shinyalert", repos="http://cran.us.r-project.org")
if (!require("dplyr")) install.packages("dplyr", repos="http://cran.us.r-project.org")
if (!require("remotes")) install.packages("remotes", repos="http://cran.us.r-project.org")
if (!require("shinycssloaders")) install.packages("shinycssloaders", repos="http://cran.us.r-project.org")
if (!require("DT")) install.packages("DT", repos="http://cran.us.r-project.org")
if (!require("Matrix")) install.packages("Matrix", repos="http://cran.us.r-project.org")
if (!require("shinyBS")) install.packages("shinyBS", repos="http://cran.us.r-project.org")
if (!require("ggpubr")) install.packages("ggpubr", repos="http://cran.us.r-project.org")
if (!require("tidyverse")) install.packages("tidyverse", repos="http://cran.us.r-project.org")
if (!require("rlist")) install.packages("rlist", repos="http://cran.us.r-project.org")
if (!require("clusterProfiler")) BiocManager::install("clusterProfiler")
if (!require("R.utils")) install.packages("R.utils", repos="http://cran.us.r-project.org")
if (!require("rmarkdown")) install.packages("rmarkdown", repos="http://cran.us.r-project.org")
if (!require("kableExtra")) install.packages("kableExtra", repos="http://cran.us.r-project.org")
if (!require("Routliers")) install.packages("Routliers", repos="http://cran.us.r-project.org")
if (!require("DESeq2")) BiocManager::install("DESeq2")
if (!require("apeglm")) BiocManager::install("apeglm")
if (!require("pheatmap")) install.packages("pheatmap", repos="http://cran.us.r-project.org")
if (!require("EnhancedVolcano")) BiocManager::install("EnhancedVolcano")
if (!require("Seurat")) install.packages("Seurat", repos="http://cran.us.r-project.org")
if (!require("RColorBrewer")) install.packages("RColorBrewer", repos="http://cran.us.r-project.org")
if (!require("org.Hs.eg.db")) BiocManager::install("org.Hs.eg.db")
if (!require("plotly")) install.packages("plotly", repos="http://cran.us.r-project.org")
if (!require("ReactomePA")) BiocManager::install("ReactomePA")
if (!require("msigdbr")) install.packages("msigdbr", repos="http://cran.us.r-project.org")
if (!require("glmGamPoi")) BiocManager::install('glmGamPoi')
######################################

########## load libraries ##############
library(devtools)
library(shiny)
library(shinydashboard)
library(shinyjs)
library(shinyalert)
library(dplyr)
library(shinycssloaders)
library(DT)
library(Matrix)
library(shinyBS)
library(ggpubr)
library(rlist)
library(clusterProfiler)
library(tidyverse)
library(R.utils)
library(rmarkdown)
library(kableExtra)
library(Routliers)
library(DESeq2)
library(apeglm)
library(pheatmap)
library(EnhancedVolcano)
library(Seurat)
library(RColorBrewer)
library(org.Hs.eg.db)
library(plotly)
library(ReactomePA)
library(msigdbr)
library(glmGamPoi)
################################