###read all required R source files to support the CogentDS v2.0 app

source("R/Setup_Funtions/landingUI.R")  # landing page UI
source("R/Setup_Funtions/dataUploadUI.R")  # UI for data upload
source("R/Setup_Funtions/dataUploadServer.R")  # Server logic for data upload
source("R/Setup_Funtions/preQCQCUI.R")  # UI for Pre-QC & QC
source("R/Setup_Funtions/preQCQCServer.R")  # Server logic for Pre-QC & QC
source("R/Setup_Funtions/normalizationScalingUI.R")  # UI for normalization & scaling
source("R/Setup_Funtions/normalizationScalingServer.R")  # Server logic for normalization & scaling
source("R/Setup_Funtions/featureSelectionUI.R")  # UI for feature selection
source("R/Setup_Funtions/featureSelectionServer.R")  # Server logic for feature selection
source("R/Setup_Funtions/dimReductionUI.R")  # UI for dimension reduction
source("R/Setup_Funtions/dimReductionServer.R")  # Server logic for dimension reduction
source("R/Setup_Funtions/clusteringVisualizationUI.R")  # UI for clustering & visualization
source("R/Setup_Funtions/clusteringVisualizationServer.R")  # Server logic for clustering & visualization
source("R/Setup_Funtions/differentialExpressionUI.R")  # UI for differential expression analysis
source("R/Setup_Funtions/differentialExpressionServer.R")  # Server logic for differential expression analysis
source("R/Setup_Funtions/umapLassoSelectionUI.R")  # UI for UMAP lasso selection
source("R/Setup_Funtions/umapLassoSelectionServer.R")  # Server for UMAP lasso selection
source("R/Setup_Funtions/PathwayErichmentUI.R")  # UI for Pathway Analysis
source("R/Setup_Funtions/PathwayErichmentServer.R")  # Server logic for Pathway Analysis
source("R/Setup_Funtions/additionalPlotsUI.R")  # UI for additional plots
source("R/Setup_Funtions/additionalPlotsServer.R")  # Server logic for additional plots
source("R/Setup_Funtions/isoformUI.R")  # UI for isoform
source("R/Setup_Funtions/isoformServer.R")  # Server logic for isoform
source("R/Setup_Funtions/cellTypeAnnotationUI.R")  # UI for cell type annotation
source("R/Setup_Funtions/cellTypeAnnotationServer.R")  # Server logic for cell type annotation
source("R/Setup_Funtions/genefusionUI.R")  # UI for gene fusion overlay
source("R/Setup_Funtions/geneFusionServer.R")  # Server for gene fusion overlay
source("R/Setup_Funtions/clonotypeAnalysisUI.R")  # UI for clonotype overlay
source("R/Setup_Funtions/clonotypeAnalysisServer.R")  # Server for clonotype overlay
source("R/Setup_Funtions/decontaminationUI.R")  # UI for decontamination
source("R/Setup_Funtions/decontaminationServer.R")  # Server logic for decontamination
source("R/Setup_Funtions/uploadObjectUI.R") # UI for Processed Seurat v5 object
source("R/Setup_Funtions/uploadObjectServer.R") # UI for Processed Seurat v5 object
source("R/Setup_Funtions/visualizationObjectUI.R") # UI for generating plots from user uploaded object
source("R/Setup_Funtions/DiscoverydimredUI.R") # Server for generating dimension reduction plots from user uploaded object
source("R/Setup_Funtions/DiscoverydimredServer.R") # UI for generating dimension reduction plots from user uploaded object
source("R/Setup_Funtions/visualizationObjectServer.R") # Server for generating plots from user uploaded object
source("R/Setup_Funtions/generateReport_UI.R") # UI for downloading the analysis report
source("R/Setup_Funtions/generateReport_Server.R") #server for downloading the analysis report
source("R/Setup_Funtions/downloadSeurat_v5_UI.R") # UI for downloading the seurat object
source("R/Setup_Funtions/downloadSeurat_v5_Server.R") #server for downloading the object