#' Isoform analysis module ui logic
#'
#' @param id A unique identifier for the UI module. This is necessary for distinguishing 
#'           this module's input from others in the same Shiny application.
#'
#' @return
#' @export
#'
#' @examples
#' isoformUI("isoformModule")

isoformUI <- function(id) {
  ns <- NS(id)
  fluidPage(
    titlePanel("Isoform Analysis and Cross Visualization with genes"),
    h5("Isoform data / Transcript expression is reported by CogentAP using STAR & salmon. Please see user manual for more information"),
    uiOutput(ns("ConditionalParamteres"))
  )
}