#! /bin/bash

# bump_version = v0.1


####### Please see the guidlines here:

#### version update : major | bug fix | feature addtion | minor 

## major --> increment 2.0.0 -> 2.1.0
## bug fix --> increment 2.0.0 -> 2.0.1
## feature additon --> 2.0.0 -> 2.1.0
## minor --> 2.0.0 -> 2.0.1

current_version=$1
new_version=$2

##### Execute upgrade

echo "Executing bump_version = v0.1 for CogentDS v2.0 Repository"
echo "Detected $OSTYPE"

sed -i '' "s/${current_version}/${new_version}/g" app.R
echo "updated version of app.R to $new_version from $current_version"

sed -i '' "s/$current_version/$new_version/g" CogentDS_shinyApps/CogentDS_v2.0_scRNA/app.R
echo "updated version of CogentDS_shinyApps/CogentDS_v2.0_scRNA/app.R to $new_version from $current_version"

sed -i '' "s/$current_version/$new_version/g" CogentDS_shinyApps/CogentDS_v2.0_bulkRNA/app.R
echo "updated version of CogentDS_shinyApps/CogentDS_v2.0_bulkRNA/app.R to $new_version from $current_version"

echo "version update complete! Exiting.."