#!/usr/bin/env Rscript

##### launch App
library(devtools)
library(shiny)
library(shinydashboard)
library(shinyjs)
library(Seurat)
library(SingleCellExperiment)
library(SingleR)
library(decontX)
library(celda)
library(plotly)
library(shinyalert)
library(dplyr)
library(presto)
library(shinycssloaders)
library(DT)
library(celldex)
library(data.table)
library(Matrix)
library(shinyBS)
library(org.Hs.eg.db)
library(org.Mm.eg.db)
library(enrichplot)
library(ggpubr)
library(rlist)
library(clusterProfiler)
library(tidyverse)
library(R.utils)
library(rmarkdown)
library(kableExtra)
library(Routliers)
library(ggrepel)
library(DESeq2)
library(MAST)
library(pheatmap)
library(RColorBrewer)
library(ReactomePA)
library(glmGamPoi)
runApp(launch.browser = TRUE)